Subject: [Errata Rejected] RFC7231 (4180)

From: RFC Errata System <[email-masked]>
Date: Fri, 14 Nov 2014 02:28:28 -0800 (PST)

The following errata report has been rejected for RFC7231,
"Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7231&eid=4180

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Michel Albert <[email-masked]>
Date Reported: 2014-11-14
Rejected by: Barry Leiba (IESG)

Section: 6.4

Original Text
-------------
n/a

Corrected Text
--------------
n/a

Notes
-----
The section on status code 304 is missing even though that status code is mentioned in other parts of the document. RFC2616 described the status code as follows (in section 10.3.5):

> 10.3.5 304 Not Modified
>
>    If the client has performed a conditional GET request and access is
>    allowed, but the document has not been modified, the server SHOULD
>    respond with this status code. The 304 response MUST NOT contain a
>    message-body, and thus is always terminated by the first empty line
>    after the header fields.
>
>    The response MUST include the following header fields:
>
>       - Date, unless its omission is required by section 14.18.1

This section would go right after "6.4.4.  303 See Other".
 --VERIFIER NOTES-- 
Status code 304 relates to conditional requests, and is therefore documented in RFC 7232 (Section 4.1).  This fact is shown in the table in RFC 7231, Section 6.1, and in the IANA registry "HTTP Status Codes" <http://www.iana.org/assignments/http-status-codes>.

--------------------------------------
RFC7231 (draft-ietf-httpbis-p2-semantics-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis
Area                : Applications
Stream              : IETF
Verifying Party     : IESG